Records
Get Record by ID
Retrieves a specific record by UUID using either table ID or table name.
GET
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
records
/
{recordId}
Get record by ID
curl --request GET \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
},
"fields": {
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
Enter your Zite API key. Format: Bearer <api_key>
Path Parameters
The unique identifier of the database
The unique identifier of the table. You can also use the table name instead of the ID.
The UUID of the record
Response
Record details
Unique UUID identifier for the record
Record data with field IDs as keys
Example:
{
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
}
Record data with field names as keys
Example:
{
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
}
ISO timestamp of when the record was created
ISO timestamp of when the record was last updated
⌘I
Get record by ID
